#ifndef ITEMLOADERSOURCE_H
#define ITEMLOADERSOURCE_H

#include <QJsonObject>

#include "itemsource.h"

class ItemLoaderSource : public ItemSource
{
	Q_OBJECT

	QJsonObject json;

public:
	explicit ItemLoaderSource(const QJsonObject& json = QJsonObject(), QObject *parent = nullptr);
	~ItemLoaderSource();
	void updateJson(const QJsonObject& json);
	virtual void refresh() override;
};

#endif // ITEMLOADERSOURCE_H
